lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "ninjap/version"

Gem::Specification.new do |spec|
  spec.name          = "ninjap"
  spec.version       = Ninjap::VERSION
  spec.authors       = ["Gojko"]
  spec.email         = ["gojko1980@gmail.com"]

  spec.summary       = %q{Promote someone to Ninja.}
  spec.description   = %q{Promote someone to Ninja, and send a certificate via email.}
  spec.homepage      = "https://rubygems.org/gems/ninjap"
  spec.license       = "MIT"

  spec.metadata["allowed_push_host"] = "https://rubygems.org"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://rubygems.org/gems/ninjap"
  spec.metadata["changelog_uri"] = "https://rubygems.org/gems/ninjap"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
